%global srcname ccdproc
%global sum Astropy affiliated package for reducing optical/IR CCD data

Name:           python-%{srcname}
Version:        1.2.0
Release:        3%{?dist}
Summary:        %{sum}

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/c/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python3-devel
BuildRequires:  python2-astropy python2-astropy-helpers
BuildRequires:  python3-astropy python3-astropy-helpers
BuildRequires:  python2-astroscrappy
BuildRequires:  python2-reproject
BuildRequires:  python2-scikit-image
BuildRequires:  python3-astroscrappy
BuildRequires:  python3-reproject
BuildRequires:  python3-scikit-image

%description
The ccdproc package is a collection of code that will be helpful in basic CCD
processing. These steps will allow reduction of basic CCD data as either a
stand-alone processing or as part of a pipeline.

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}
Requires:       python2-astropy
Requires:       python2-astroscrappy
Requires:       python2-reproject
Requires:       python2-scikit-image

%description -n python2-%{srcname}
The ccdproc package is a collection of code that will be helpful in basic CCD
processing. These steps will allow reduction of basic CCD data as either a
stand-alone processing or as part of a pipeline.


%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3-astropy
Requires:       python3-astroscrappy
Requires:       python3-reproject
Requires:       python3-scikit-image

%description -n python3-%{srcname}
The ccdproc package is a collection of code that will be helpful in basic CCD
processing. These steps will allow reduction of basic CCD data as either a
stand-alone processing or as part of a pipeline.


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

#%%check
#%%{__python2} setup.py test
#%%{__python3} setup.py test

%files -n python2-%{srcname}
%license licenses/LICENSE.rst
%doc README.rst
%{python2_sitelib}/*

%files -n python3-%{srcname}
%license licenses/LICENSE.rst
%doc README.rst
%{python3_sitelib}/*

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec 23 2016 Christian Dersch <lupinix@mailbox.org> - 1.2.0-1
- new version

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.1.0-3
- Rebuild for Python 3.6

* Tue Oct 11 2016 Christian Dersch <lupinix@mailbox.org> - 1.1.0-2
- Added dependencies for astroscrappy and reproject

* Sun Sep 25 2016 Christian Dersch <lupinix@mailbox.org> - 1.1.0-1
- Added BuildRequires for astropy-helpers
- new version

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Mar 29 2016 Christian Dersch <lupinix@mailbox.org> - 1.0.1-1
- new version

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 30 2015 Christian Dersch <lupinix@mailbox.org> - 0.3.3-2
- fixed requirements

* Sun Nov 22 2015 Christian Dersch <lupinix@mailbox.org> - 0.3.3-1
- initial spec


